API ReferenceEvents
Track an event (short alias)
Identical to POST /track; a shorter path for beacon calls.
x-logspot-pk<token>
Project public key (prefixed pk_). Safe to expose in client-side code.
In: header
namestring
Length
length <= 100notify?boolean|null
message?string|null
user_id?string|null
anonymous_id?string|null
referrer?string|null
screen?string|null
language?string|null
url?string|null
hostname?string|null
metadata?|null
channel?string|null
value?number|null
currency?string|null
external_id?string|null
group_id?string|null
group_type?string|null
privacy_categories?string|null
pc?string|null
privacy_signals?string|null
ps?string|null
consent_source?string|null
_acOverrides?|null
Response Body
curl -X POST "https://api.logspot.io/i" \ -H "Content-Type: application/json" \ -d '{ "name": "string" }'Empty
Empty
Empty